Package io.vertx.jdbcclient.spi

## Interface JDBCColumnDescriptorProvider

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface JDBCColumnDescriptorProvider

  A shortcut provider that get a column information in the runtime SQL result or parameter metadata
  Since:
    4.2.2

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `io.vertx.jdbcclient.impl.actions.JDBCColumnDescriptor` | `apply​(int column)` | Get a column descriptor
    `static JDBCColumnDescriptorProvider` | `fromParameter​(PreparedStatement statement)` | Deprecated. Implementations should prefer `fromParameterMetaData(ParameterMetaData)` Create provider by parameter statement
    `static JDBCColumnDescriptorProvider` | `fromParameterMetaData​(ParameterMetaData metaData)` | Create provider by the parameter metadata
    `static JDBCColumnDescriptorProvider` | `fromResult​(ResultSet rs)` | Deprecated. Implementations should prefer `fromResultMetaData(ResultSetMetaData)` Create provider by result set metadata
    `static JDBCColumnDescriptorProvider` | `fromResultMetaData​(ResultSetMetaData metaData)` | Create provider by result set metadata

- - ### Method Detail

    - #### fromParameter

          @Deprecated
          static JDBCColumnDescriptorProvider fromParameter​(PreparedStatement statement)

      Deprecated.
      Implementations should prefer `fromParameterMetaData(ParameterMetaData)` Create provider by parameter statement
      Parameters:
        `statement` - the prepared statement
      Returns:
        a new `JDBCTypeProvider` instance
      See Also:
        `PreparedStatement`

    - #### fromParameterMetaData

          static JDBCColumnDescriptorProvider fromParameterMetaData​(ParameterMetaData metaData)

      Create provider by the parameter metadata
      Parameters:
        `metaData` - the parameter metadata
      Returns:
        a new `JDBCTypeProvider` instance
      See Also:
        `ResultSetMetaData`

    - #### fromResult

          @Deprecated
          static JDBCColumnDescriptorProvider fromResult​(ResultSet rs)

      Deprecated.
      Implementations should prefer `fromResultMetaData(ResultSetMetaData)` Create provider by result set metadata
      Parameters:
        `rs` - the result set
      Returns:
        a new `JDBCTypeProvider` instance
      See Also:
        `ResultSetMetaData`

    - #### fromResultMetaData

          static JDBCColumnDescriptorProvider fromResultMetaData​(ResultSetMetaData metaData)

      Create provider by result set metadata
      Parameters:
        `metaData` - the result set
      Returns:
        a new `JDBCTypeProvider` instance
      See Also:
        `ResultSetMetaData`

    - #### apply

          io.vertx.jdbcclient.impl.actions.JDBCColumnDescriptor apply​(int column)
                                                               throws SQLException

      Get a column descriptor
      Parameters:
        `column` - column index
      Returns:
        the column descriptor
      Throws:
        `SQLException` - sql exception
      See Also:
        `JDBCColumnDescriptor`